[package]
name = "md_light"
version = "1.3.0"
edition = "2021"
author = "_alexou_"


[package.metadata.deb]
maintainer = "alexou <alexandrevalin2@gmail.com>"
copyright = "alexou <alexandrevalin2@gmail.com>"
license-file =["LICENSE", "0"]
assets = [
    ["target/release/md_light", "usr/bin/", "755"],
    ["ressources/*", "var/lib/md_light/ressources", "644"],
    ["templates/*", "var/lib/md_light/templates", "644"],
#     # ["ressources/*", "~/ressources", "644"],
#     # ["templates/*", "~/templates", "644"],
]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
actix-files = "0.6.2"
actix-web = {version =  "4.3.1", features = ["openssl"]}
# base64 = "0.21.7"
chrono = "0.4.26"
clap = { version = "4.3.11", features = ["derive"] }
colored = "2.0.4"
dict = "0.1.5"
dirs = "5.0.1"
lazy_static = "1.4.0"
local-ip-address = "0.6.1"
markdown = "0.3.0"
openssl = "0.10.64"
# rcgen = "0.13.1"
# maud = "0.25.0"
# regex = "1.10.2"
reqwest = { version = "0.12.4", features = ["blocking", "json"] }
serde = { version = "1.0.192", features = ["derive"] }
serde_derive = "1.0.188"
serde_json = "1.0.102"
serde_qs ={version= "0.13.0", features = ["actix4"]}
tera = "1.19.1"
tokio = { version = "1.32", features = ["full"] }
toml = "0.8.1"

